<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <input type="number" id="num" min="1" max="10"><label>Numero de párrafos</label>
    <input type="button" id="cambia" value="Dale caña">
    <div>
        <p>Lorem ipsum, dolor sit amet consectetur adipisicing elit. Enim optio expedita, culpa quisquam consectetur mollitia facere iure minima repellendus illo esse aperiam ullam dolorum quo qui nostrum, eveniet, ducimus distinctio.</p>
        <p>Non consequatur corrupti sunt dolorem, voluptates qui officia, accusantium aliquam laboriosam quam enim deleniti possimus eius perspiciatis necessitatibus corporis alias dicta temporibus aliquid delectus. Nobis cupiditate eaque dolores magnam at.</p>
        <p>Voluptatibus dolores magnam reiciendis veritatis sit amet, ratione esse recusandae corporis asperiores fugit qui dolore obcaecati, quos eos officia totam omnis similique iusto deserunt? Quis nulla atque cupiditate velit iste?</p>
        <p>Minus magnam fugiat labore voluptas atque quasi recusandae rem consequuntur cupiditate sapiente veniam error cum molestias possimus alias hic corporis nisi iure ab architecto quos, deserunt incidunt voluptatum. Tempora, doloremque?</p>
        <p>Eos illum non a corrupti, exercitationem omnis sed expedita voluptates, vitae explicabo voluptatem rem accusantium saepe molestiae beatae repellendus quam libero, sequi consectetur. Quaerat dicta explicabo ea, obcaecati voluptatum suscipit!</p>
        <p>Necessitatibus quisquam adipisci numquam corrupti, porro omnis quas asperiores perferendis veritatis saepe, quam vitae, placeat maiores esse deleniti tenetur rem modi ex. Incidunt ipsa dolorum eum vitae nostrum. Quam, vel!</p>
        <p>Nostrum harum voluptatibus, laborum enim, unde molestiae nihil numquam cupiditate hic ducimus reiciendis similique quo inventore obcaecati eius non aspernatur. Eligendi quas in odit optio facilis. Repellat, aspernatur. Delectus, cum?</p>
        <p>Illum, ratione dolorum neque eveniet in voluptatibus placeat molestias ipsa, alias soluta deleniti dolores cumque magnam ipsam fugit repellendus maiores nobis odio aut commodi modi nulla. Ullam porro voluptatum tempore?</p>
        <p>Sapiente repellat, illo provident numquam corrupti ad aspernatur officiis sed veniam consequuntur, a, obcaecati labore et alias? Animi voluptas maxime quo, libero quae, nisi excepturi, molestias unde expedita laborum voluptate!</p>
        <p>Deleniti, earum. Eum tenetur commodi at neque sequi incidunt consequuntur modi atque, delectus voluptatibus deserunt enim, quibusdam earum quae. Earum veniam ducimus ex magni quis iste voluptas, rem velit eaque.</p>
    </div>
    

    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    <script>
        $(document).ready(function(){
            let x=0;
            let n=0;
            $("#cambia").click(function(){
                x=0;
                n=$("#num").val();                
                $("p").each(color);
                //alert("botonpinchao");
            });

            function color(){
                if(x==n){
                    cancel;
                }
                //alert(x);
                //alert(n);
                $(this).css("background-color","yellow");
                $(this).css("color","blue");
                x=x+1;
            }
        })
    </script>
</body>
</html>